org.jbpm.services.task.utils

## Enum OnErrorAction

- java.lang.Object
- - java.lang.Enum<OnErrorAction>
  - - org.jbpm.services.task.utils.OnErrorAction

- All Implemented Interfaces:
    Serializable, Comparable<OnErrorAction>

      public enum OnErrorAction
      extends Enum<OnErrorAction>

  Defines possible actions in case an error was encountered.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT` Abort an item that was initiator of an action (for instance work item)
    `LOG` Collect information and log it to supported output.
    `RETHROW` Simply re-throw caught exception.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OnErrorAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OnErrorAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG

          public static final OnErrorAction LOG

      Collect information and log it to supported output.

    - #### ABORT

          public static final OnErrorAction ABORT

      Abort an item that was initiator of an action (for instance work item)

    - #### RETHROW

          public static final OnErrorAction RETHROW

      Simply re-throw caught exception.

  - ### Method Detail

    - #### values

          public static OnErrorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnErrorAction c : OnErrorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OnErrorAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.